
QGIS Application - Feature request #1626

r.viewshed, r.cost: take input points from the canvas

2009-04-05 01:41 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee: Giovanni Manghi

Category: GRASS

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: Yes Copied to github as #: 11686

Description

Currently r.los and other modules (r.cost etc.) require the user to input coordinates of a point by hand. This is cumbersome, and should be

replaced by the possibility of capturing them form the canvas.

History

#1 - 2011-12-16 01:58 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-15 10:11 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#3 - 2012-10-06 02:28 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2017-05-01 12:42 AM - Giovanni Manghi

- Easy fix? set to No

- Pull Request or Patch supplied set to No

#5 - 2018-01-29 06:27 PM - Paolo Cavallini

- Assignee deleted (nobody -)

Still true.

#6 - 2018-01-29 06:31 PM - Giovanni Manghi

Paolo Cavallini wrote:

Still true.

the widget to allow pick point by clicking on the map is already available in qgis 2.18 for many tools, grass included. Is an easy patch.

#7 - 2018-02-24 03:14 PM - Paolo Cavallini

- Subject changed from r.los, r.cost: take input points from the canvas to r.viewshed, r.cost: take input points from the canvas

#8 - 2018-02-24 05:14 PM - Giovanni Manghi

- Assignee set to Giovanni Manghi

- Easy fix? changed from No to Yes
#9 - 2018-02-24 05:46 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Open to Closed

This is fixed in both 2.18.16 and 3.
